Правильная ссылка на эту страницу
http://az-design.ru/Projects/WebStat/WebSiteStore/00_002.shtml

Системные требования

       Для работы программы требуется СУБД Firebird версии от 1.5 до 2.5 (реальная разработка и тестирование производилось на версии 2.5). Никаких особенных свойств типа Unicode, прав доступа и то подобных не используется. Поэтому диапазон версий так широк.
       Так как Unicode не используется, то кодировка сайта только одна WIn1251. Реально редко кому требуются другие кодировки, так что для большинства случаев — одной достаточно. Также нужно учесть, что программа разрабатывалась для себя, без внешних ТЗ и финансирования, и следовательно требовать от нее слишком многого нельзя.
       Если Firebird установлен штатным образом, то никаких дополнительных действий не требуется, кроме переименования библиотеки fbclient.dll в gds32.dll, а это делается при установке Firebird.
       Если Firebird не установлен, то можно использовать Firebird Embeded, который не требует установки (входит в состав поставки) и запускать приложение из каталога Embed_25x32 или Embed_25x64 в зависимости от разрядности вашей операционной системы.
       В любом случае необходимо добавить в каталог UDF библиотеки дополнительных функций, которые находятся в каталоге Embed_25x../UDF соответствующей разрядности.
       Сама программа не требует установки. Файл .ini, который лежит рядом с файлом приложения содержит список доменов и пути к соответствующим базам данных. Все остальные настройки и конфигурации находятся в БД соответствующего сайта. Каждый сайт содержится в отдельной базе данных.
       Cкопируйте содержимое каталога Embed_25x32, если у вас 32-разрядная версия Windows, или Embed_25x64, если у вас 64-разрядная версия, в каталоги WebSiteStore и WebSiteDebug, запустите программу из каталога WebSiteStore и наслаждайтесь!




<<< Пред. Оглавление
Начало раздела
След. >>>

Дата последнего изменения:
Thursday, 21-Aug-2014 09:10:56 MSK


Постоянный адрес статьи:
http://az-design.ru/Projects/WebStat/WebSiteStore/00_002.shtml